/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：信息安全性设计准则检查插件
 * 项目描述：用于检查源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */

package com.keyware.sonar.java.rules.checkers;

import com.keyware.sonar.java.utils.FilesUtils;
import org.junit.jupiter.api.Test;
import org.sonar.java.checks.verifier.CheckVerifier;

import java.util.ArrayList;
import java.util.Collection;

/**
 * TODO OptionsVerifyCheckerTest
 *
 * @author RenFengJiang
 * @date 2024/1/22
 */
public class OptionsVerifyCheckerTest {
    Collection<String> lists = new ArrayList(){
        {
            add("src/test/files/options/OptionsVerifyOneRule.java");
            add("src/test/files/options/OptionsVerifyTwoRule.java");
        }
    };
    @Test
    void detected() {

        CheckVerifier.newVerifier()
                .onFiles(lists)
                .withCheck(new OptionsVerifyChecker())
                .withClassPath(FilesUtils.getClassPath("target/test-jars"))
                .verifyIssueOnProject("应设置X-Frame-Options的值为deny");
    }
}
